from flask import Flask, flash, render_template, request, url_for
from bokeh.embed import server_document
from werkzeug.exceptions import default_exceptions, HTTPException, InternalServerError
from bokeh.embed import server_document

# Configure application
app = Flask(__name__)

app.secret_key = "esp32"
app.debug = False

# Ensure templates are auto-reloaded
app.config["TEMPLATES_AUTO_RELOAD"] = True

# configure location of data in Docker container
UPLOAD_FOLDER = '/var/lib/data'
app.config['UPLOAD_FOLDER'] = UPLOAD_FOLDER


@app.route("/", methods=['GET', 'POST'])
def index():
    BOKEH_URL = f"http://localhost:5006/smart_sole_applet"
    script = server_document(url=BOKEH_URL)
    return render_template("index.html", script=script)

if __name__ == '__main__':
    app.run(host="0.0.0.0", port=5000)